// ******************************************************************************************
// Mod Name: TSCorporation
// Mod Id: TSCorporation_mynameis002
// Mod Version: 0.0.1
// Mod File: code.js
// ******************************************************************************************
// Author: mynameis002
// Last modified: 31/12/2017 2:20 PM
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var TSCorporation = {};

(function(){

// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding TS Vein
// -----------------------------------------------------------
GDT.addPlatform({
	id:"0ad65078-bb56-4b79-8691-29a8f2910417",
	name:"TS Vein",
	company:"TSCorporation",
	startAmount:0.002,
	unitsSold:5E3,
	licencePrize:3E3,
	published:"1/2/2",
	platformRetireDate:"14/2/2",
	developmentCosts:1E3,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:7,
	iconUri: TSCorporation_mynameis002.modPath + "/images/platforms/CustomPlatform4V2.png",
	events:[{
	id: "dfc4392f-6deb-43d7-a335-6bab62196880",
	date: "1/2/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "TS Corporation",
	text: "CEO of Theo Stata Corporation , Mr Raul Garcia has announce that they will be the most majority market share in gaming industries. If the console TS Vein can get most market share this will be a technology innovation and history making event.",
	image: TSCorporation_mynameis002.modPath + "/images/notifications/COMPANY LOGO.png",
	buttonText: "OK",
	weeksUntilFired: 1
	});} 
	}
,{
	id: "cf8ec90c-e75a-4c38-a1f2-1f9449df0537",
	date: "14/2/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Breaking News!",
	text: "After few decade of success, the CEO of TS Corporation Mr. Raul Garcia making a statement that he will shutdown his company and retire as his company TS Corporation have multiple lawsuit and deem to bankcruptcy.",
	image: TSCorporation_mynameis002.modPath + "/images/notifications/COMPANY LOGO.png",
	buttonText: "OK",
	weeksUntilFired: 1
	});} 
	}
]
	});


// ******************************************************************************************
// Events
// ******************************************************************************************



})();
